WB32F10x Standard Peripherals Firmware Library

Functions | Variables
usbd_core.c File Reference
`#include "wb32f10x.h"`
`#include <string.h>`
`#include "usbd_core.h"`
`#include "usbd_user.h"`

## Functions
void | USBD_Init (void)
| Initializes the USB device library. More...
void | USBD_DeInit (void)
| Deinitializes the USB device library. More...
void | USBD_Connect (void)
| Connects the device to the USB host. More...
void | USBD_Disconnect (void)
| Disconnects the device from the USB host. More...
void | USBD_Core_Reset (void)
| Handle reset event. More...
void | USBD_Core_Suspend (void)
| Handle suspend event. More...
void | USBD_Core_Resume (void)
| Handle resume event. More...
__WEAK void | USBD_ReqClrFeature_MSC (uint8_t ep_addr)
UsbdControlStage | USBD_EndPoint0_Setup_StdReq (void)
| Handle Standard Device Requests. More...

## Variables
volatile UsbdCoreInfo_t | UsbdCoreInfo
const uint8_t | UsbdMaxPacketSize0 = 64

## Detailed Description

Author
  Westberry Application Team

Attention

Copyright (c) 2020 - 2023 Westberry Technology (ChangZhou) Corp., Ltd All rights reserved.

THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME. AS A RESULT, WESTBERRY TECHNOLOGY SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.

## Function Documentation

## ◆ USBD_Connect()

void USBD_Connect | ( | void |  | ) |

Connects the device to the USB host.

Returns
  None

## ◆ USBD_Core_Reset()

void USBD_Core_Reset | ( | void |  | ) |

Handle reset event.

Returns
  None

## ◆ USBD_Core_Resume()

void USBD_Core_Resume | ( | void |  | ) |

Handle resume event.

Returns
  None

## ◆ USBD_Core_Suspend()

void USBD_Core_Suspend | ( | void |  | ) |

Handle suspend event.

Returns
  None

## ◆ USBD_DeInit()

void USBD_DeInit | ( | void |  | ) |

Deinitializes the USB device library.

Returns
  None

## ◆ USBD_Disconnect()

void USBD_Disconnect | ( | void |  | ) |

Disconnects the device from the USB host.

Returns
  None

## ◆ USBD_EndPoint0_Setup_StdReq()

UsbdControlStage USBD_EndPoint0_Setup_StdReq | ( | void |  | ) |

Handle Standard Device Requests.

Returns
  The next control stage.

## ◆ USBD_Init()

void USBD_Init | ( | void |  | ) |

Initializes the USB device library.

Returns
  None